Class DeleteSecret.Request

All Implemented Interfaces:
ApiRequest<DeleteSecret.Request>
Enclosing class:
DeleteSecret

public static final class DeleteSecret.Request extends OciRequestBase<DeleteSecret.Request>
Request object. Can be configured with additional headers, query parameters etc.
  • Method Details

    • builder

      public static DeleteSecret.Request builder()
      Fluent API builder for configuring a request. The request builder is passed as is, without a build method. The equivalent of a build method is ApiJsonBuilder.toJson(jakarta.json.JsonBuilderFactory) used by the RestApi.
      Returns:
      new request builder
    • create

      public static DeleteSecret.Request create(String secretId)
      Create request for a secret ID.
      Parameters:
      secretId - secret OCID
      Returns:
      a new request
      See Also:
    • secretId

      public DeleteSecret.Request secretId(String secretId)
      Secret OCID. Required.
      Parameters:
      secretId - id of secret to delte
      Returns:
      updated request
    • timeOfDeletion

      public DeleteSecret.Request timeOfDeletion(Instant whenToDelete)
      Configure the time of deletion.
      Parameters:
      whenToDelete - when to delete this secret
      Returns:
      updated request
    • secretId

      public String secretId()
      The configured secret ID.
      Returns:
      secret ID